Explorar o código

testing travis if

Jhonny Mertz %!s(int64=6) %!d(string=hai) anos
pai
achega
7521722f57
Modificáronse 1 ficheiros con 10 adicións e 3 borrados
  1. 10 3
      deploy/publish.sh

+ 10 - 3
deploy/publish.sh

@@ -1,6 +1,13 @@
 #!/bin/bash
 
-if [[ $TRAVIS_PULL_REQUEST == "false" ]]; then
-    mvn deploy --settings $GPG_DIR/settings.xml -DperformRelease=true -DskipTests=true
-    exit $?
+if [ "$TRAVIS_PULL_REQUEST" == "false"  ]; then
+	echo "PR"
+  echo "$TRAVIS_PULL_REQUEST"
+    #mvn deploy --settings $GPG_DIR/settings.xml -DperformRelease=true -DskipTests=true
+    #exit $?
+fi
+
+if [ "$TRAVIS_BRANCH" == "master" ]; then
+  echo "master"
+  echo "$TRAVIS_BRANCH"
 fi